<!DOCTYPE html>
<html lang="en" xmlns="http://www.w3.org/1999/xhtml" xmlns:th="https://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Update schedule</title>

    <style>
        @import url('https://fonts.googleapis.com/css2?family=Roboto:wght@400;500&display=swap');
*{
    margin: 0;
    padding: 0;
    font-family: Roboto;
}

body{
    background-color: #b8bfbd;
}

input[type=text], input[type=number], input[type=time]{
    width: 100%;
    padding: 8px;
    border: 1px solid #ccc;
    border-radius: 4px;
    box-sizing: border-box;
    resize: vertical;
    font-weight: 500;
  }

  /* Style the label to display next to the inputs */
  label {
    padding: 10px 10px 10px 0;
    display: inline-block;
  }

  /* Style the submit button */
  input[type=submit] {
    background-color: #5e7363;
    color: white;
    padding: 12px 20px;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    float: right;
    font-weight: 500;
    font-size: large;
  }

  /* Style the container */
  .container {
    border-radius: 5px;
    background-color: #f2f2f2;
    padding: 20px;
    width: 70%;
    margin: auto;
   margin-top: 10px;
  }

  .center-block{
    font-weight: bold;
    color: #27324f;
    font-size:2em;
}

  /* Floating column for labels: 25% width */
  .col-25 {
    float: left;
    width: 25%;
    margin-top: 6px;
  }

  /* Floating column for inputs: 75% width */
  .col-75 {
    float: left;
    width: 75%;
    margin-top: 6px;
  }

  /* Clear floats after the columns */
  .row:after {
    content: "";
    display: table;
    clear: both;
  }

  /* Responsive layout - when the screen is less than 600px wide, make the two columns stack on top of each other instead of next to each other */
  @media screen and (max-width: 600px) {
    .col-25, .col-75, input[type=submit] {
      width: 100%;
      margin-top: 0;
    }
  }
    </style>

</head>
<body>

<div class="container">
    <fieldset>
        <legend class="center-block">Update Schedule</legend>
        <form method="post"  th:action="'/schedules/update/' + ${schedule.idSchedule}" th:object="${schedule}" >
            <div class="row">
                <div class="col-25">
                    <label>Restaurant</label>
                </div>
                <div class="col-75">
                    <input type="hidden" th:field="*{restaurant.idRestaurant}"/>
                    <input type="text" disabled th:value="*{restaurant.restaurantName}"/>
                </div>
            </div><!--row-->

            <div class="row">
                <div class="col-25">
                    <label for="day">Day</label>
                </div>
                <div class="col-75">
                    <input type="number" id="day" name="day"  th:field = "*{day}" th:value="${day}">
                    <span th:if="${#fields.hasErrors('day')}" th:errors="*{day}" class="text-danger"></span>
                </div>
            </div><!--row-->

            <div class="row">
                <div class="col-25">
                    <label for="oTime">Open time</label>
                </div>
                <div class="col-75">
                    <input type="time" th:field="*{openTime}" id="oTime" name="oTime" >
                    <span th:if="${#fields.hasErrors('openTime')}" th:errors="*{openTime}" class="text-danger"></span>
                </div>
            </div><!--row-->

            <div class="row">
                <div class="col-25">
                    <label for="cTime">Close time</label>
                </div>
                <div class="col-75">
                    <input type="time" th:field="*{closeTime}" id="cTime" name="cTime" >
                    <span th:if="${#fields.hasErrors('closeTime')}" th:errors="*{closeTime}" class="text-danger"></span>
                </div>
            </div>
            <div >
                <input type="submit" value="Edit">

            </div>
        </form>
    </fieldset>
    <p><a th:href="@{/displayAdminHome}"><img src="images/blue-home-icon32.png" th:src="@{images/blue-home-icon32.png}" alt="Home"></a></p>
</div>


</body>
</html>